Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.layout.client
Class LayoutImplIE8

    java.lang.Object
      com.google.gwt.layout.client.LayoutImplIE8

    public class LayoutImplIE8

extends java.lang.Object

This implementation is used on IE8. Unlike `LayoutImpl`, it converts all values to pixels before setting them. This is necessary because this browser incorrectly calculates the relative sizes and positions of CSS properties specified in certain units (e.g., when the value of an 'em' is non-integral in pixels).

Field Summary
`protected DivElement` | `relativeRuler`

Constructor Summary
`LayoutImplIE8()`

Method Summary
`Element` | `attachChild(Element parent, Element child, Element before)`
`protected static DivElement` | `createRuler(Style.Unit widthUnit, Style.Unit heightUnit)`
`void` | `fillParent(Element elem)`
`void` | `finalizeLayout(Element parent)`
`double` | `getUnitSizeInPixels(Element parent, Style.Unit unit, boolean vertical)`
`void` | `initParent(Element parent)`
`void` | `layout(Layout.Layer layer)`
`void` | `onAttach(Element parent)`
`void` | `onDetach(Element parent)`
`void` | `removeChild(Element container, Element child)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### relativeRuler

    protected DivElement relativeRuler

Constructor Detail

### LayoutImplIE8

    public LayoutImplIE8()

Method Detail

### layout

    public void layout(Layout.Layer layer)

### onDetach

    public void onDetach(Element parent)

### createRuler

    protected static DivElement createRuler(Style.Unit widthUnit,
                                            Style.Unit heightUnit)

### attachChild

    public Element attachChild(Element parent,
                               Element child,
                               Element before)

### fillParent

    public void fillParent(Element elem)

### finalizeLayout

    public void finalizeLayout(Element parent)

  Parameters:
    `parent` - the parent element

### getUnitSizeInPixels

    public double getUnitSizeInPixels(Element parent,
                                      Style.Unit unit,
                                      boolean vertical)

### initParent

    public void initParent(Element parent)

### onAttach

    public void onAttach(Element parent)

### removeChild

    public void removeChild(Element container,
                            Element child)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD